% 
% program to generate displacement and strain for a screw
% dislocation. 
 
clear i
clf
hold off i
% 
V=1; 
D=40000.; 
d=4000.;
dx=1000;
x = -512000:dx:512000; 
xp = x/1000.; 
mu1=1.;
mu2=.20;
nt=40;
h=40000;
% 
% this first model has shallow creep between depths of d0 and d 
%
ni=length(x);
V1=0.*x;
for n=1:ni;
V1(n) =  comply(x(n),V,h,d,mu1,mu2,nt)-comply(x(n),V,h,D,mu1,mu2,nt);
end
E1=diff(V1)/2.e6;
%
%  now read the strain from the grd file and compare
%
[x,y,vy]=grdread2('ym1.grd');
[x,y,exy]=grdread2('exy.grd');
%
%  extract profiles
%
vyp=vy(64,513:1536);
%exyp=diff(vy(64,513:1536))/2.e6;
exyp=exy(64,513:1536);
subplot(2,1,2);plot(xp/40,V1,(xp(1:length(vyp))+1)/40,.33*vyp);
xlabel('distance (x/d)')
ylabel('displacement ')
xlim([-4 4])
subplot(2,1,1);plot((xp(1:length(E1))-.5)/40,E1,xp(1:length(exyp))/40,.33*exyp);
xlabel('distance (x/d)')
ylabel('strain')
xlim([-4 4])
